Index: code/trunk/cmake/FindALUT.cmake
===================================================================
--- code/trunk/cmake/FindALUT.cmake	(revision 1810)
+++ code/trunk/cmake/FindALUT.cmake	(revision 1872)
@@ -49,4 +49,5 @@
   /opt/include
   ../libs/freealut-1.1.0/include
+  ${DEPENDENCY_DIR}/freealut-1.1.0/include
   )
 
@@ -88,4 +89,5 @@
     ../libs/freealut-1.1.0/src/.libs
     ../libs/freealut-1.1.0/lib
+    ${DEPENDENCY_DIR}/freealut-1.1.0/lib
     )
 ENDIF(${ALUT_INCLUDE_DIR} MATCHES ".framework")
Index: code/trunk/cmake/FindBoost.cmake
===================================================================
--- code/trunk/cmake/FindBoost.cmake	(revision 1810)
+++ code/trunk/cmake/FindBoost.cmake	(revision 1872)
@@ -1,4 +1,4 @@
 # THIS FILE HAS BEEN MODIFIED TO WORK ON THE TARDIS INFRASTURUCTURE of THE ETH.
-# use with cation
+# use with caution
 # Nicolas Schlumberger <nico AT orxonx DOT net> (C) 2007
 #
@@ -118,4 +118,5 @@
     ../libs/boost_1_34_1
 #    ../libs/boost-1_35_0
+    ${DEPENDENCY_DIR}/boost-1.35.0/include
 
 # Help the user find it if we cannot.
@@ -187,4 +188,6 @@
   mgw34-mt-1_34_1
   mgw34-mt-1_35
+  vc80-mt-1_35
+  vc80-mt-gd-1_35
 )
 
@@ -225,5 +228,7 @@
 # For MSVC builds find debug library
   IF(WIN32 AND MSVC AND Boost_${name}_LIBRARY)
-    FIND_LIBRARY(Boost_${name}_LIBRARY_DEBUG ${Boost_LIB_PREFIX}boost_${name}-${Boost_LIB_SUFFIX_DEBUG})
+    FIND_LIBRARY(Boost_${name}_LIBRARY_DEBUG
+      NAMES ${Boost_LIB_PREFIX}boost_${name}-${Boost_LIB_SUFFIX_DEBUG}
+      PATHS ${Boost_LIBRARY_DIRS})
 
     IF(MSVC_IDE)
Index: code/trunk/cmake/FindCEGUI.cmake
===================================================================
--- code/trunk/cmake/FindCEGUI.cmake	(revision 1810)
+++ code/trunk/cmake/FindCEGUI.cmake	(revision 1872)
@@ -26,4 +26,5 @@
     FIND_PATH(CEGUI_INCLUDE_DIR CEGUI.h
         ../libs/cegui-0.6.1/include
+        ${DEPENDENCY_DIR}/cegui-0.6.1/include
     )
 
@@ -31,4 +32,5 @@
     FIND_LIBRARY(CEGUI_LIBDIR NAMES ${CEGUI_LIBRARIES} PATHS
         ../libs/cegui-0.6.1/bin
+        ${DEPENDENCY_DIR}/cegui-0.6.1/lib
     )
 
Index: code/trunk/cmake/FindDirectX.cmake
===================================================================
--- code/trunk/cmake/FindDirectX.cmake	(revision 1810)
+++ code/trunk/cmake/FindDirectX.cmake	(revision 1872)
@@ -17,4 +17,5 @@
   FIND_PATH(DirectX_INCLUDE_DIR "dinput.h"
     C:/DXSDK/Include
+    $ENV{DXSDK_DIR}/Include
   )
 
@@ -22,4 +23,5 @@
     C:/DXSDK/Lib
     C:/DXSDK/Lib/x86
+    $ENV{DXSDK_DIR}/lib/x86
   )
 
Index: code/trunk/cmake/FindENet.cmake
===================================================================
--- code/trunk/cmake/FindENet.cmake	(revision 1810)
+++ code/trunk/cmake/FindENet.cmake	(revision 1872)
@@ -22,4 +22,5 @@
     /usr/pack/enet-2007-sd/include
     ../libs/enet-1.1/include
+    ${DEPENDENCY_DIR}/enet-1.2/include
     )
 
@@ -28,4 +29,5 @@
     PATHS /usr/lib /usr/local/lib /usr/pack/enet-2007-sd/i686-debian-linux3.1/lib/
     ../libs/enet-1.1
+    ${DEPENDENCY_DIR}/enet-1.2/lib
     )
 
Index: code/trunk/cmake/FindOGRE.cmake
===================================================================
--- code/trunk/cmake/FindOGRE.cmake	(revision 1810)
+++ code/trunk/cmake/FindOGRE.cmake	(revision 1872)
@@ -22,4 +22,5 @@
     FIND_PATH(OGRE_INCLUDE_DIR Ogre.h
         ../libs/ogre/OgreMain/include
+        ${DEPENDENCY_DIR}/ogre-1.4.9/include
     )
 
@@ -27,4 +28,5 @@
     FIND_LIBRARY(OGRE_LIBDIR NAMES ${OGRE_LIBRARIES} PATHS
         ../libs/ogre/Samples/Common/bin/Release
+        ${DEPENDENCY_DIR}/ogre-1.4.9/lib
     )
 
Index: code/trunk/cmake/FindOggVorbis.cmake
===================================================================
--- code/trunk/cmake/FindOggVorbis.cmake	(revision 1810)
+++ code/trunk/cmake/FindOggVorbis.cmake	(revision 1872)
@@ -29,4 +29,5 @@
   /opt/include
   ../libs/libogg-1.1.3/include
+  ${DEPENDENCY_DIR}/libogg-1.1.3/include
   )
 
@@ -41,4 +42,5 @@
   /opt/include
   ../libs/libvorbis-1.2.0/include
+  ${DEPENDENCY_DIR}/libvorbis-1.2.0/include
   )
 
@@ -58,4 +60,5 @@
   /opt/lib
   ../libs/libogg-1.1.3/src/.libs
+  ${DEPENDENCY_DIR}/libogg-1.1.3/lib
   )
 
@@ -71,18 +74,19 @@
   /opt/lib
   ../libs/libvorbis-1.2.0/lib/.libs
+  ${DEPENDENCY_DIR}/libvorbis-1.2.0/lib
   )
 
-FIND_LIBRARY(VORBISENC_LIBRARY
-  NAMES vorbisenc
-  PATHS
-  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
-  /usr/local/lib
-  /usr/lib
-  /sw/lib
-  /opt/local/lib
-  /opt/csw/lib
-  /opt/lib
-  ../libs/libvorbis-1.2.0/lib/.libs
-  )
+#FIND_LIBRARY(VORBISENC_LIBRARY
+#  NAMES vorbisenc
+#  PATHS
+#  /usr/pack/oggvorbis-1.0-ds/i686-debian-linux3.1/lib
+#  /usr/local/lib
+#  /usr/lib
+#  /sw/lib
+#  /opt/local/lib
+#  /opt/csw/lib
+#  /opt/lib
+#  ../libs/libvorbis-1.2.0/lib/.libs
+#  )
 
 FIND_LIBRARY(VORBISFILE_LIBRARY
@@ -97,4 +101,5 @@
   /opt/lib
   ../libs/libvorbis-1.2.0/lib/.libs
+  ${DEPENDENCY_DIR}/libvorbis-1.2.0/lib
   )
 
@@ -123,5 +128,5 @@
 SET (VORBIS_FOUND "NO")
 
-IF (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISENC_LIBRARY AND VORBISFILE_LIBRARY)
+IF (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISFILE_LIBRARY)# AND VORBISENC_LIBRARY)
   SET (VORBIS_FOUND "YES")
   IF (NOT VORBIS_FIND_QUIETLY)
@@ -130,10 +135,10 @@
       MESSAGE (STATUS "  include path: ${VORBIS_INCLUDE_DIR}")
       MESSAGE (STATUS "  library path: ${VORBIS_LIBRARY}")
-      MESSAGE (STATUS "  library path: ${VORBISENC_LIBRARY}")
+      #MESSAGE (STATUS "  library path: ${VORBISENC_LIBRARY}")
       MESSAGE (STATUS "  library path: ${VORBISFILE_LIBRARY}")
       MESSAGE (STATUS "  libraries:    vorbis vorbisenc vorbisfile")
     ENDIF (VERBOSE_FIND)
   ENDIF (NOT VORBIS_FIND_QUIETLY)
-ELSE (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISENC_LIBRARY AND VORBISFILE_LIBRARY)
+ELSE (VORBIS_INCLUDE_DIR AND VORBIS_LIBRARY AND VORBISFILE_LIBRARY)# AND VORBISENC_LIBRARY)
   IF (NOT VORBIS_INCLUDE_DIR)
     MESSAGE (SEND_ERROR "Vorbis include path was not found.")
@@ -142,7 +147,7 @@
     MESSAGE (SEND_ERROR "Vorbis library \"vorbis\" was not found.")
   ENDIF (NOT VORBIS_LIBRARY)
-  IF (NOT VORBISENC_LIBRARY)
-    MESSAGE (SEND_ERROR "Vorbis library \"vorbisenc\" was not found.")
-  ENDIF (NOT VORBISENC_LIBRARY)
+  #IF (NOT VORBISENC_LIBRARY)
+  #  MESSAGE (SEND_ERROR "Vorbis library \"vorbisenc\" was not found.")
+  #ENDIF (NOT VORBISENC_LIBRARY)
   IF (NOT VORBISFILE_LIBRARY)
     MESSAGE (SEND_ERROR "Vorbis library \"vorbisfile\" was not found.")
Index: code/trunk/cmake/FindOpenAL.cmake
===================================================================
--- code/trunk/cmake/FindOpenAL.cmake	(revision 1810)
+++ code/trunk/cmake/FindOpenAL.cmake	(revision 1872)
@@ -48,4 +48,5 @@
   /opt/include
   ../libs/openal-0.0.8/common/include
+  ${DEPENDENCY_DIR}/openal-1.1/include
   )
 # I'm not sure if I should do a special casing for Apple. It is
@@ -85,4 +86,5 @@
     /opt/lib
     ../libs/openal-0.0.8/src/.libs
+    ${DEPENDENCY_DIR}/openal-1.1/lib
     )
 ENDIF(${OPENAL_INCLUDE_DIR} MATCHES ".framework")
Index: code/trunk/cmake/FindTCL.cmake
===================================================================
--- code/trunk/cmake/FindTCL.cmake	(revision 1810)
+++ code/trunk/cmake/FindTCL.cmake	(revision 1872)
@@ -30,8 +30,9 @@
   ../libs/tcl8.5.2/unix
   ../libs/tcl8.5.2/macosx
+  ${DEPENDENCY_DIR}/tcl-8.5.2/lib
 )
 
 FIND_LIBRARY(TCL_LIBRARY
-  NAMES tcl tcl85 tcl8.5 tcl84 tcl8.4
+  NAMES tcl tcl85 tcl8.5 tcl84 tcl8.4 tcl85t
   PATHS ${TCLTK_POSSIBLE_LIB_PATHS}
 )
@@ -57,4 +58,5 @@
   /usr/include/tcl8.4
   ../libs/tcl8.5.2/generic
+  ${DEPENDENCY_DIR}/tcl-8.5.2/include
 )
 
Index: code/trunk/cmake/FindZLIB.cmake
===================================================================
--- code/trunk/cmake/FindZLIB.cmake	(revision 1810)
+++ code/trunk/cmake/FindZLIB.cmake	(revision 1872)
@@ -37,4 +37,5 @@
   FIND_PATH(ZLIB_INCLUDE_DIR zlib.h
     ../libs/zlib/include
+    ${DEPENDENCY_DIR}/zlib-1.2.3/include
   )
 
@@ -42,4 +43,5 @@
     NAMES zlib
     PATHS ${ZLIB_LIBRARY_DIR}
+    ${DEPENDENCY_DIR}/zlib-1.2.3/lib
   )
 ENDIF(WIN32)
